apply plugin: "com.android.library"
apply plugin: "org.jetbrains.kotlin.android"
apply plugin: 'com.google.devtools.ksp'

android {

    compileSdkVersion rootProject.ext.compileSdkVersion

    defaultConfig {
        minSdk rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode rootProject.ext.versionCode
        versionName rootProject.ext.versionName
    }

    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }

    buildFeatures {
        viewBinding true
    }

    kotlinOptions {
        jvmTarget = "1.8"
    }
}

dependencies {
    ksp "cn.therouter:apt:${routerVersion}"

    implementation "io.sentry:sentry-android:${sentry}"
    implementation "io.sentry:sentry-android-fragment:${sentry}"
    implementation project(':libraries:LGLibrary')
    implementation(project(path: ":module_common")) {
        exclude group: 'androidx.swiperefreshlayout'
    }
}
